Subject: [manet] Hello packets in ad hoc networks

From: [email-masked]
Date: Sat, 16 Apr 2005 22:34:01 -0400 (EDT)

Hi,

I am a masters student and presently working on routing protocols for ad
hoc networks.

I wanted to know whether, HELLO packets which are used to update neighbor
information, are generated at the MAC layer or the network layer?

Thanks alot for your help, I really appreciate it.

Vikram Oberoi

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Asanga Udugama" <[email-masked]>
Date: Sun, 17 Apr 2005 13:08:28 +0200

Hello,

The Hellos described in RFC 3561 (section 6.10) refer to the packets
that are sent (generated) at the Network layer. But the RFC also
indicates that one can also detect link connectivity at MAC layer using
2 possible mechanisms, but not thru generating any packet.

Kind regards,
Asanga

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> [email-masked]
> Sent: Sunday, April 17, 2005 4:34 AM
> To: [email-masked]
> Subject: [manet] Hello packets in ad hoc networks
> 
> Hi,
>